Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 84846 - Key combo for XML validation in the WSDL Editor doesn't work
Key combo for XML validation in the WSDL Editor doesn't work
Status: VERIFIED FIXED
Product: xml
Classification: Unclassified
Component: WSDL Tools
6.x
All All
: P4 (vote)
: 6.x
Assigned To: Shivanand Kini
issues@xml
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-13 22:35 UTC by jlautz
Modified: 2007-06-20 23:54 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jlautz 2006-09-13 22:35:42 UTC
Seen on Windows XP with NB Build 200609120000.

When I have a WSDL file open in the WSDL editor, the Alt-Shift-F9 key
combination that the Tool tip says will work to validate the XML for the WSDL
file doesn't work. If I click the button to validate, it works.
Comment 1 jlautz 2006-09-13 22:43:50 UTC
More info: 

Only seems to occur if View -> Show Editor Toolbar is off, click to Source view,
View -> Editors -> WSDL, Alt-Shift-F9.
Comment 2 Shivanand Kini 2006-09-15 22:23:27 UTC
Nathan, can you look into this?
Comment 3 Chris Webster 2006-09-22 05:05:03 UTC
If this only occurs if the toolbar is off, this seems like a P4 as this scenario
is not a high priority use case. 
Comment 4 Chris Webster 2006-09-22 23:53:14 UTC
This issue is somewhat subtle. I tried to add an action map and key listener for
the validation action which only partially fixes the problem. The WSDL editor is
slightly different from the schema editor in that the schema editor nodes use
lookups which have the lookup from the DataObject.getNodeDelegate. When I added
the actionMap + keyListener this made this issue less annoying as the keyboard
shortcut would work if a node was selected (actively). However, this solution
failed as when switching multi-views the focus would not be in the node tree and
thus the action would sometimes not be accessible in the keyboard. 

Comment 5 Ritesh Adval 2007-01-18 21:21:13 UTC
The key combination does not work. We should fix it in 5.5.1.
Comment 6 Ritesh Adval 2007-02-28 01:25:10 UTC
Nathan,

Please see if you can fix this.

Alt-Shift-F9 does work in source view but does not work tree view.
Comment 7 Shivanand Kini 2007-06-09 02:50:34 UTC
Fixed.
The key combination works now even if the toolbar is removed.

Needed to add the actions into the nodes.
Comment 8 jlautz 2007-06-20 23:54:05 UTC
Verified that Alt-Shift-F9 works on all 3 views of the WSDL editor in 
Product Version: NetBeans IDE Dev (Build 200706190000, C/C++ Pack 20070619) Java: 1.6.0_01; Java HotSpot(TM) Client VM
1.6.0_01-b06 System: Windows XP version 5.1 running on x86; Cp1252; en_US (nb) Userdir: C:\Documents and
Settings\lautz\.netbeans\dev


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo